// LIBRARIES

var $               = require('gulp-load-plugins')();
var sequence        = require('run-sequence');
var gulp            = require('gulp');
var rimraf          = require('rimraf');
var argv            = require('yargs').argv;
var rev 			= require('gulp-rev');
var uglify 			= require('gulp-uglify');
var sass 			= require('gulp-sass');
var cssmin 			= require('gulp-cssmin');
var rename 			= require('gulp-rename');

// PATHS
var paths = {
    build_dir: 'release/',
    scss_src: {
        infinite_bootstrap : 'development/scss'
    },
    css_dir: 'release/css/'
}

// CLEAN THE BUILD ASSETS FOLDER

gulp.task('CLEAN', function(callback) {
    rimraf( paths.build_dir , callback);
});

// CSS - CONVERT OUR SCSS TO PURE CSS
gulp.task('SCSS', function () {
    gulp.src("development/scss/infinite-bootstrap.scss")
    .pipe(sass({outputStyle: 'uncompressed'}))
    .pipe(gulp.dest( paths.css_dir ));
});
gulp.task('CSS_MIN', function () {
    gulp.src("development/scss/infinite-bootstrap.scss")
    .pipe(sass())
    .pipe(cssmin())
    .pipe(rename({suffix: '.min'}))
    .pipe(gulp.dest( paths.css_dir ));
});
// BUILD
gulp.task('BUILD', function(callback) {
    sequence('CLEAN', ['SCSS','CSS_MIN'], callback);
});

// GULP DEFAULT
gulp.task('default', ['BUILD'], function () {
    // WATCH SCSS FILES
    gulp.watch(['development/assets/**/*'], ['SCSS','CSS_MIN']);
});
